com.google.gwt.user.cellview.client

## Interface HasKeyboardSelectionPolicy

All Known Subinterfaces:
  HasKeyboardPagingPolicy

All Known Implementing Classes:
  AbstractCellTable, AbstractCellTree, AbstractHasData, CellBrowser, CellBrowser.BrowserCellList, CellList, CellTable, CellTree, DataGrid, HasDataPresenter

    public interface HasKeyboardSelectionPolicy

Implemented by widgets that have a `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`.

### Nested Class Summary

Nested Classes
`static class` `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy` The policy that determines how keyboard selection will work.

### Method Summary

All Methods Instance Methods Abstract Methods
`HasKeyboardSelectionPolicy.KeyboardSelectionPolicy` `getKeyboardSelectionPolicy()` Get the `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`.
`void` `setKeyboardSelectionPolicy(HasKeyboardSelectionPolicy.KeyboardSelectionPolicy policy)` Set the `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`.

### Method Detail

#### getKeyboardSelectionPolicy

    HasKeyboardSelectionPolicy.KeyboardSelectionPolicy getKeyboardSelectionPolicy()

Get the `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`.

Returns:
  the selection policy
See Also:
  `setKeyboardSelectionPolicy(KeyboardSelectionPolicy)`

#### setKeyboardSelectionPolicy

    void setKeyboardSelectionPolicy(HasKeyboardSelectionPolicy.KeyboardSelectionPolicy policy)

Set the `HasKeyboardSelectionPolicy.KeyboardSelectionPolicy`.

Parameters:
  `policy` - the selection policy
See Also:
  `getKeyboardSelectionPolicy()`